using UnityEngine;
using System.Collections;

public class GameOverUi : MonoBehaviour
{
    public GamestateHandler gsHandler;

    public float TimeToWaitUntilReset = 3f;
    private float remainingTimeToWait;
    private bool playerWasSpotted = false;
    //public float Top = 200;
    //public float Left = 280;
    //public float Width = 200;

    //public float MenuItemHeight = 26;
    //public float SpaceBetweenTopBorderAndFirstItem = 26;
    //public float SpaceBetweenMenuItems = 5;
    //public float LeftAndRightMarginForMenuItems = 5;
    //public float SpaceBetweenLastMenuItemAndBottom = 5;
    //private Rect MenuPosition;

    //public string[] MenuItemNames;
    //public MenuFunction[] MenuItemFunctions;

	public AudioClip newGameSound;

    //public enum MenuFunction
    //{
    //    NewGame
    //}

    public void Start()
    {
        //if (MenuItemNames.Length != MenuItemFunctions.Length)
        //    Debug.LogError("Menu Item Names and Menu Item Functions must have the same number of items!");
        //else if (MenuItemNames.Length == 0)
        //{
        //    MenuItemNames = new string[1];
        //    MenuItemNames[0] = "Back in the Cage!";
        //    MenuItemFunctions = new MenuFunction[1];
        //    MenuItemFunctions[0] = MenuFunction.NewGame;
        //}
    }

    private bool firstTime = true;
    private void FirstTime()
    {
        gsHandler = Camera.main.GetComponent<GamestateHandler>();
    }
    void Update()
    {
        if (firstTime)
        {
            FirstTime();
            firstTime = false;
        }

        if (gsHandler.Gamestate() == GamestateHandler.GamestateEnum.PlayerSpotted)
        {
            if (playerWasSpotted)
            {
                remainingTimeToWait = System.Math.Max(0, remainingTimeToWait - Time.deltaTime);
                if (remainingTimeToWait == 0)
                {
                    Application.LoadLevel(Application.loadedLevel);
                }
            }
            else
            {
                playerWasSpotted = true;
                remainingTimeToWait = TimeToWaitUntilReset;
            }
        }
    }

    //public void OnGUI()
    //{
    //    if (gsHandler.Gamestate() == GamestateHandler.GamestateEnum.PlayerSpotted)
    //    {
    //        MenuPosition = new Rect(Left, Top, Width, MenuItemNames.Length * MenuItemHeight + MenuItemNames.Length * SpaceBetweenMenuItems - SpaceBetweenMenuItems + SpaceBetweenTopBorderAndFirstItem + SpaceBetweenLastMenuItemAndBottom);
    //        GUI.Box(MenuPosition, "SPOTTED!");

    //        float firstMenuItemTop = Top + SpaceBetweenTopBorderAndFirstItem;
    //        for (int i = 0; i < MenuItemNames.Length; i++)
    //        {
    //            if (GUI.Button(new Rect(
    //                    Left + LeftAndRightMarginForMenuItems,
    //                    firstMenuItemTop + i * MenuItemHeight + i * SpaceBetweenMenuItems,
    //                    Width - 2 * LeftAndRightMarginForMenuItems, MenuItemHeight),
    //                    MenuItemNames[i]))
    //                MenuItemActivated(MenuItemFunctions[i]);
    //        }
    //    }
    //}

    //private void MenuItemActivated(MenuFunction activatedItem)
    //{
    //    switch (activatedItem)
    //    {
    //        case MenuFunction.NewGame:
    //            PlayNewGameSound();
    //            gsHandler.StartGame();
    //            break;
    //        default:
    //            break;
    //    }
    //}

	private void PlayNewGameSound()
	{
		if (newGameSound != null)
		{
			this.audio.PlayOneShot(newGameSound);
		}
	}
}
