using UnityEngine;
using System.Collections;


[RequireComponent(typeof(CharacterController))] 

public class PlayerBoxMover : MonoBehaviour
{


    // declare exposed variables
    public float speed = 3.0f;
    public float rotateSpeed = 3.0f;

    private CharacterController controller;
    private Vector3 forward;
    private float curSpeed = 0.0f;

    void Start()
    {
        controller = gameObject.GetComponent(typeof(CharacterController)) as CharacterController;
    }

    void Update()
    {
        // rotating/moving
        transform.Rotate(0, Input.GetAxis("Horizontal") * rotateSpeed, 0);
        forward = transform.TransformDirection(Vector3.forward);

        curSpeed = speed * Input.GetAxisRaw("Vertical");
        controller.SimpleMove(forward * curSpeed);

        //void Update () {
        //    if (Input.GetKey("up"))
        //    {
        //        transform.Translate(0, 0, 5 * Time.deltaTime,Space.Self);
        //    }

        //    if (Input.GetKey("down"))
        //    {
        //        transform.Translate(0, 0, -5 * Time.deltaTime, Space.Self);
        //    }

        //    //if (Input.GetKey("left"))
        //    //{
        //    //    transform.Translate(-5 * Time.deltaTime, 0, 0, Space.Self);
        //    //}

        //    //if (Input.GetKey("right"))
        //    //{
        //    //    transform.Translate(5 * Time.deltaTime, 0, 0, Space.Self);
        //    //} 

        //    //if (Input.GetKey("left"))
        //    //{
        //    //    transform.eulerAngles.y += -turnSpeed * Time.deltaTime;
        //    //}

        //    //if (Input.GetKey("right"))
        //    //{
        //    //    transform.eulerAngles.y += turnSpeed * Time.deltaTime;
        //    //} 


        //}
    }
}