using UnityEngine;
using System.Collections;

public class Target : MonoBehaviour {

    public GameObject rootObject;
    BoxWalker walker;

    void Start()
    {
        if (rootObject == null)
            rootObject = gameObject;
        walker = rootObject.GetComponent<BoxWalker>();
    }

    public void OnWillRenderObject()
    {
        CameraDetector detector = Camera.current.GetComponent<CameraDetector>();
        if (detector != null && walker.IsMoving)
        {
            detector.Detected(rootObject.transform);
        }
    }
}
