using UnityEngine;
using System.Collections;

public class BlinkingAlarmButton : MonoBehaviour {

    public Material HeadLampGlow;
    public float LampGlow = 0f;
    public Color notGlowingColor;
    public Color glowingColor;
    public float BlinkingTime=0.5f;

    private CameraDetector detector;

    void Start()
    {
        Object[] objs = FindSceneObjectsOfType(typeof(CameraDetector));
        if (objs.Length > 0)
            detector = (CameraDetector)objs[0];
        //detector = GetComponent<CameraDetector>();
    }

    void Update()
    {
        renderer.material.SetColor("_Emission", Color.black);
        //Time.time-Time.deltaTime;
        if (detector != null
            && detector.dangerLevel > 0.0f)
            if (Time.time % 1 <= BlinkingTime)
                renderer.material.SetColor("_Emission", Color.red);
            else
                renderer.material.SetColor("_Emission", Color.black);
        
           

    }

    void OnGUI()
    {
        //if (detector != null
        //    && detector.dangerLevel > 0.0f)
        //    renderer.material.color = new Color(HeadLampGlow.color.r, HeadLampGlow.color.g, HeadLampGlow.color.b, 128);
    }
   
} 

