using UnityEngine;
using System.Collections;

public class CameraMover : MonoBehaviour {

    private float start_angle=0.0f;
    public float travelDistance_angle=90f;
    public float Rotation_speed=10f;

    private float current_angle;
    private bool increase=true;

	// Use this for initialization
	void Start () {
        current_angle = 0.0f;
        start_angle = transform.rotation.eulerAngles.y; //-Mathf.Atan2(transform.right.z, transform.right.x);
	}
	
	// Update is called once per frame
	void Update () {
        if (increase == true)
        {
            current_angle += Rotation_speed * Time.deltaTime;
            if (current_angle > travelDistance_angle)
                increase = false;
        }
        else
        {
            current_angle -= Rotation_speed * Time.deltaTime;
            if (current_angle <= 0.0f)
                increase = true;
        }
        transform.rotation = Quaternion.AngleAxis(start_angle + current_angle, Vector3.up);
    }
}
