using UnityEngine;
using System.Collections;

public class ExitTrigger : MonoBehaviour {

    void Update()
    {
        if(Input.GetKeyDown(KeyCode.F12))
            Camera.main.GetComponent<GamestateHandler>().GoalWasReached();
    }

    void OnTriggerEnter(Collider other)
    {
        // The box is the only thing with a boxwalker element, so just check for that
        BoxWalker targetElem = other.GetComponent<BoxWalker>();
        if (targetElem != null)
        {
            Camera.main.GetComponent<GamestateHandler>().GoalWasReached();
        }
    }
}
